Lua_NewServerConfigItem = class("Lua_NewServerConfigItem", Lua_ListCell);
function Lua_NewServerConfigItem:ctor(p)
    self:superCall("ctor", p, "NewServerConfigItem_skin");
end
function Lua_NewServerConfigItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_NewServerConfigItem:setData(data)
    self._data = data
    self.iconSp:setAltas(data.altas, data.iconName)
    self.iconSp:resetSize();
    self.iconTxt.text = data.des
end

function Lua_NewServerConfigItem:onPlayerSoundClick(go)
    if self._data.EventName ~= nil then
        Lua_MsgUtil.callFunc(self._data.EventName);
    elseif self._data.open_id ~= nil and DataCenter.funcOpenData:isOpened(self._data.open_id) == false then
        -- ûҪʾ
        local cfg = getConfig( { "func_open", self._data.open_id });
        if cfg ~= nil and cfg.advance_message ~= nil then
            OperateAlert.show(cfg.advance_message);
        end
        return;
    else
        if self._data.winName == "Lua_ShopWindow" then
            if self._data.itemId ~= nil then
                local index = self._data.winIndex
                local isShowEffect = false
                if index == -1 then
                    index = 1
                end
                if self._data.isShowEffect == 1 then
                    isShowEffect = true
                end
                Lua_WindowUtil.openWin("Lua_ShopWindow", WinParam.ACTION_OPEN, { openIdx = index, itemID = self._data.itemId, isShowEffectInFirst = isShowEffect });
            else
                if self._data.winIndex == -1 then
                    Lua_WindowUtil.openWin(self._data.winName, WinParam.ACTION_OPEN, nil);
                else
                    Lua_WindowUtil.openWin(self._data.winName, WinParam.ACTION_OPEN, self._data.winIndex);
                end

            end
        else
            if self._data.winIndex == -1 then
                Lua_WindowUtil.openWin(self._data.winName, WinParam.ACTION_OPEN, nil);
            else
                Lua_WindowUtil.openWin(self._data.winName, WinParam.ACTION_OPEN, self._data.winIndex);
            end
        end
    end

    Lua_WindowUtil.openWin("Lua_NewServerActivityWindow", WinParam.ACTION_CLOSE, nil);
end

function Lua_NewServerConfigItem:dispose()
    self:superCall("dispose");
end
